Consider a longer, less ambiguous name for <ce>
Closed, ResolvedPublic

Description

Bit late to this party but <ce> seems like a very short acronym to use for a tag name http://en.wikipedia.org/wiki/ce lists just a few things it could stand for (including at least two other things in the field of chemistry).

Could we rename to <chem> and make <ce> a deprecated alias?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2016, 11:56 PM

@Esanders can you open a new task? I have no strong opionion on the tag name. However, keep in mind that <ce> (ftp://www.ctan.org/tex-archive/macros/latex/contrib/mhchem/mhchem.pdf) currently only supports sum formulae, maybe chem should be reserved for strucuture formulae.

I don't know enough about the topic to know how likely a structure extension is and if it should take precedence in getting the chem name. But given this extension exists now that should count for something. If it were latex based they could even share the name.

TheDJ updated the task description. (Show Details)Dec 19 2016, 9:51 AM
Physikerwelt moved this task from Backlog to Doing on the Math board.Jan 11 2017, 7:34 PM

Change 331672 had a related patch set uploaded (by Physikerwelt):
Change chemestry tag name ce->chem

https://gerrit.wikimedia.org/r/331672

Physikerwelt moved this task from Doing to Backlog on the Math board.Jan 11 2017, 7:42 PM
Physikerwelt closed this task as Resolved.Jan 11 2017, 8:02 PM
Physikerwelt claimed this task.

Is there a way we can search for instances of <ce> in the wild and fix them? I imagine it will only be a handful at this point.

Change 331672 merged by jenkins-bot:
Change chemistry tag name from ce to chem

https://gerrit.wikimedia.org/r/331672

Amire80 added a project: User-notice.EditedJan 12 2017, 12:02 AM
Amire80 added a subscriber: Amire80.

When this is deployed, <chem> will be the recommended way to insert chemical formulas. <ce> will keep working for backwards compatibility, but should be replaced, for example using a bot. Current code that inserts or reads <ce> tags should be updated as well. Some day <ce> may be removed completely.

Dvorapa added a subscriber: Dvorapa.EditedJan 17 2017, 4:46 AM

cswiki: 0 occurences. Is there some documentation/help guide, how to use ce/chem? I think nobody on cswiki actually knows there is such an option to write chemical reactions (at least nobody editing and/or writing chemical articles). I'd like to write some help page on cswiki how to use this feature, I tried to search for some documentation on MW, but found only chemform doc (nobody didn't know about this either, but there is nothing about ce/chem), enwiki manual of style for chemistry does not contain any mention about this feature too.

Finally found a little mention here